PETSc version 3.15.5
Fix/Edit manual page

# PetscSSEIsEnabled

Determines if Intel Streaming SIMD Extensions (SSE) to the x86 instruction set can be used. Some operating systems do not allow the use of these instructions despite hardware availability.

### Synopsis

    #include "petscsys.h"
    static PetscBool petsc_sse_local_is_untested  = PETSC_TRUE;
    static PetscBool petsc_sse_enabled_local      = PETSC_FALSE;
    static PetscBool petsc_sse_global_is_untested = PETSC_TRUE;
    static PetscBool petsc_sse_enabled_global     = PETSC_FALSE;
    PetscErrorCode  PetscSSEIsEnabled(MPI_Comm comm,PetscBool  *lflag,PetscBool  *gflag)

Collective

### Input Parameter

| comm | - the MPI Communicator

### Output Parameters

| lflag | - Local Flag: PETSC_TRUE if enabled in this process
| gflag | - Global Flag: PETSC_TRUE if enabled for all processes in comm

### Notes

NULL can be specified for lflag or gflag if either of these values are not desired.

### Options Database Keys

| -disable_sse | - Disable use of hand tuned Intel SSE implementations

### Level

developer

### Location

src/sys/utils/sseenabled.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages